# TextDataScannerStep class

Configuration for the scanned item

Annotations
  - @JsonSerializable(includeIfNull: false, createFactory: false, explicitToJson: true)

## Constructors

TextDataScannerStep(String guidanceText, String? pattern, bool? shouldMatchSubstring, double preferredZoom, AspectRatio aspectRatio, double? unzoomedFinderHeight, String? allowedSymbols, int? significantShakeDelay)

## Properties

allowedSymbols ↔ String?
  A string (list) of accepted characters during text recognition. If empty or nil, all characters are accepted. Defaults to nil.
  getter/setter pair
aspectRatio ↔ AspectRatio
  The cameras zoom level preferred for this step. The actual zoom might be different from the preferred one to avoid clipping of finder area and maintain its aspect ratio and height
  getter/setter pair
guidanceText ↔ String
  User guidance hint text.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
pattern ↔ String?
  Validation pattern to automatically validate recognized text. '?' = any character, '#' - any digit, all other characters represent themselves. An empty string or nil value will disable the validation pattern.
  getter/setter pair
preferredZoom ↔ double
  The cameras zoom level preferred for this step. The actual zoom might be different from the preferred one to avoid clipping of finder area and maintain its aspect ratio and height
  getter/setter pair
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
shouldMatchSubstring ↔ bool?
  If set to TRUE pattern validation also validates successfully if only a part of the whole recognized text matches the the validation pattern. If set to FALSE, the whole text must match the validation pattern. Applies to pattern validation only. Defaults to FALSE.
  getter/setter pair
significantShakeDelay ↔ int?
  Threshold used to pause the detection after significant movement occurred. Default = 0
  getter/setter pair
unzoomedFinderHeight ↔ double?
  The preferred height of the finder for zoom scale 1.0 (unzoomed). The actual finder height might change to maintain aspect ratio and to not clip the screen. Defaults to 40 points.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited